Skip to content

Storage

Where session recordings are stored.

GET/api/settings/storage
PUT/api/settings/storage
DELETE/api/settings/storage
POST/api/settings/storage/test

Read storage config ​

GET/api/settings/storage

Effective config, secret masked.

Authentication: bearer token.
Permission: settings.storage.

bash
curl -X GET "https://shellius.example.com/api/settings/storage" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Upsert storage config ​

PUT/api/settings/storage

Upsert + encrypt secret.

Authentication: bearer token.
Permission: settings.storage.

Request body

NameTypeRequiredNotes
providerstringYesOne of minio, s3, azure.
endpointstringNoAt most 500 characters. May be null.
regionstringNoAt most 100 characters. May be null.
bucketstringNoAt most 255 characters. May be null.
accessKeystringNoAt most 500 characters. May be null.
secretKeystringNoAt most 2000 characters. May be null.
useSslbooleanNo
forcePathStylebooleanNo
isActivebooleanNo
bash
curl -X PUT "https://shellius.example.com/api/settings/storage" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "provider": "minio"
  }'

200 OK

json
{ "success": true, "data": { … } }

Revert storage to env ​

DELETE/api/settings/storage

Revert to env defaults.

Authentication: bearer token.
Permission: settings.storage.

bash
curl -X DELETE "https://shellius.example.com/api/settings/storage" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Test storage ​

POST/api/settings/storage/test

Verify connectivity + bucket.

Authentication: bearer token.
Permission: settings.storage.

bash
curl -X POST "https://shellius.example.com/api/settings/storage/test" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

Returns a file or plain text, not the JSON envelope.

Was this page helpful?No, tell us why